module OrientDb
  module LearningObject
    class RelationsChain < OrientDb::RelationChain

      def relations
        [
            OrientDb::LearningObject::SubjectsRelations.new(object, connection),
            OrientDb::LearningObject::AttributesRelations.new(object, connection),
            OrientDb::LearningObject::PublisherRelation.new(object, connection)
        ]
      end

    end
  end
end